// Header

var w4 = $('.p-header-logo').height();
$('.p-header-content').css({'padding-top': (100 - w4)/2, 'padding-bottom': (100 - w4)/2});

// Block-header -- collapse

$('.block-header').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').prepend('<div class="block-icon"><i></i></div>');

$('.p-body-sidebar .block-header').prepend('<div class="block-icon"><i></i></div>');

$('.block-control--collapse').click(function(e) {
	e.preventDefault();
	var notthis = $('.active').not(this);
 	$(this).parent().toggleClass('active').next().slideToggle("fast");
});

// Tooltip

var w1 = $(".block-header > a").width() + 34;
$(".block-header > a").mouseenter(function(){
	$(this).next().children().show();
});
$(".block-header > a").mouseleave(function(){
	$(this).next().children().hide();
});


$(document).ready(function () {
	if ( $("html").attr("dir") === 'RTL' )
	{
		$('.block-desc').css({'right': w1});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$('.block-desc').css({'left': w1});
	}
});

// Nav

$('.p-discovery').appendTo($('.p-header-content'));
$('.p-navgroup-link--user, .menu--account').appendTo($('.p-account'));
$('.p-navgroup-link--search').each(function(){
		$(this).prependTo($(this).siblings('.search-area'));
	});

// Search-control

$(document).ready(function(){
	$('.search-area').ready(function() {
		$('.search-input').click(function(e) {
			$(this).parent().children('.search-option').addClass('active');
			$('.menu').removeClass('is-active');
			$(".search-option").animate({opacity: 1}, 500);
			e.stopPropagation()
			});
		$('.search-option').click(function(e) {
			e.stopPropagation()
		})
	});
	$('body, html').click(function() {
		$('.search-option').removeClass('active');
		$(".search-option").animate({opacity: 0});
	});
});

/// Sidebar-control

var count = 0;
var w2 = $('.p-body-main').width() - 40;
var w3 = $('.p-body-sidebar').width();
$(".block-control--sideBar").click(function() {
	count++;
	var isEven = function(someNumber) {
		return (someNumber % 2 === 0) ? true : false;
	};
	
	if (isEven(count) === false) {
		$(".p-body-content").animate({paddingRight: 0, width: w2}, 500);
		$(".p-body-sidebar").animate({opacity: 0}, 500);
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'none');
		}, 500);
	}

	else if (isEven(count) === true) {
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'table-cell');
		}, 0);
		$(".p-body-sidebar").animate({opacity: 1}, 500);
		$(".p-body-content").animate({paddingRight: 20, width: w2 - w3}, 500);
	}
});

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

// Bonus

$('.block-outer:not(:has(.pageNavWrapper, .buttonGroup, .blockStatus, .button))').hide();

$('.block-row + .block-row').before('<hr class="block-separator" />');

$('.message').after('<hr class="messages-separator" />');

$('.button').closest('.formRow').addClass('formRow-button--group');

$(document).ready(function(){
	$('.message-attribution').each(function(){
		$(this).insertAfter($(this).siblings('.message-content'));
	});

	$('.message-attribution-main').each(function(){
		$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
	});

	$('.message-attribution-opposite').each(function(){
		$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
	});
});